%global enable_tests 1
%global module_name end-of-stream
Name:                nodejs-%{module_name}
Version:             1.4.0
Release:             1
Summary:             Call a callback when a readable/writable/duplex stream has completed or failed
License:             MIT
URL:                 https://github.com/mafintosh/end-of-stream
Source0:             http://registry.npmjs.org/end-of-stream/-/end-of-stream-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(tap) npm(once)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules
%nodejs_fixdep once ~1.x

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
tap test.js
%endif

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Tue Aug 18 2020 leiju <leiju4@huawei.com> - 1.4.0-1
- Package init
